rem Copyright (C) 2023 Karl Landstrom <karl@miasap.se>
rem
rem This file is part of miasap-gtksourceview.
rem
rem miasap-gtksourceview is free software: you can redistribute it and/or modify
rem it under the terms of the GNU General Public License as published by
rem the Free Software Foundation, either version 3 of the License, or
rem (at your option) any later version.
rem
rem miasap-gtksourceview is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
rem GNU General Public License for more details.
rem
rem You should have received a copy of the GNU General Public License
rem along with miasap-gtksourceview.  If not, see <http://www.gnu.org/licenses/>.

@echo off

if exist %APPDATA%\gtksourceview-3.0 (
	set "appDataDir=%APPDATA%"
) else (
	set "appDataDir=%LOCALAPPDATA%"
)

if not exist %appDataDir%\gtksourceview-3.0\language-specs (
	mkdir %appDataDir%\gtksourceview-3.0\language-specs
)
copy gtksourceview-2.0\language-specs\* %appDataDir%\gtksourceview-3.0\language-specs

if not exist %appDataDir%\gtksourceview-3.0\styles (
	mkdir %appDataDir%\gtksourceview-3.0\styles
)
copy gtksourceview-2.0\styles\* %appDataDir%\gtksourceview-3.0\styles /Y

